<?php

namespace jrosset\CliProgram;

use Symfony\Component\Console\Command\Command;

/**
 * A basic command
 */
class BaseCommand extends Command implements ICommand {
    /**
     * Initialize the command
     *
     * @param string $name       The command name
     * @param string ...$aliases The command aliases
     */
    public function __construct (string $name, string ...$aliases) {
        parent::__construct($name);
        $this->setAliases($aliases);
    }
}